+++
# -----------------------------------------------------------------------
# Do not edit this file. It is automatically generated by API Documenter.
# -----------------------------------------------------------------------
title = "TemplateSrv"
keywords = ["grafana","documentation","sdk","@grafana/runtime"]
type = "docs"
+++

## TemplateSrv interface

Via the TemplateSrv consumers get access to all the available template variables that can be used within the current active dashboard.

For a more in-depth description visit: https://grafana.com/docs/grafana/latest/reference/templating

<b>Signature</b>

```typescript
export interface TemplateSrv 
```
<b>Import</b>

```typescript
import { TemplateSrv } from '@grafana/runtime';
```
<b>Methods</b>

|  Method | Description |
|  --- | --- |
|  [getVariables()](#getvariables-method) | List the dashboard variables |
|  [replace(target, scopedVars, format)](#replace-method) | Replace the values within the target string. See also  |

### getVariables method

List the dashboard variables

<b>Signature</b>

```typescript
getVariables(): VariableModel[];
```
<b>Returns:</b>

`VariableModel[]`

### replace method

Replace the values within the target string. See also 

<b>Signature</b>

```typescript
replace(target: string, scopedVars?: ScopedVars, format?: string | Function): string;
```
<b>Parameters</b>

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | <code>string</code> |  |
|  scopedVars | <code>ScopedVars</code> |  |
|  format | <code>string &#124; Function</code> |  |

<b>Returns:</b>

`string`

