+++
# -----------------------------------------------------------------------
# Do not edit this file. It is automatically generated by API Documenter.
# -----------------------------------------------------------------------
title = "CompletionItem"
keywords = ["grafana","documentation","sdk","@grafana/ui"]
type = "docs"
+++

## CompletionItem interface

<b>Signature</b>

```typescript
export interface CompletionItem 
```
<b>Import</b>

```typescript
import { CompletionItem } from '@grafana/ui';
```
<b>Properties</b>

|  Property | Type | Description |
|  --- | --- | --- |
|  [deleteBackwards](#deletebackwards-property) | <code>number</code> | Delete number of characters before the caret position, by default the letters from the beginning of the word. |
|  [detail](#detail-property) | <code>string</code> | A human-readable string with additional information about this item, like type or symbol information. |
|  [documentation](#documentation-property) | <code>string</code> | A human-readable string, can be Markdown, that represents a doc-comment. |
|  [filterText](#filtertext-property) | <code>string</code> | A string that should be used when filtering a set of completion items. When <code>falsy</code> the <code>label</code> is used. |
|  [insertText](#inserttext-property) | <code>string</code> | A string or snippet that should be inserted in a document when selecting this completion. When <code>falsy</code> the <code>label</code> is used. |
|  [kind](#kind-property) | <code>CompletionItemKind &#124; string</code> | The kind of this completion item. An icon is chosen by the editor based on the kind. |
|  [label](#label-property) | <code>string</code> | The label of this completion item. By default this is also the text that is inserted when selecting this completion. |
|  [move](#move-property) | <code>number</code> | Number of steps to move after the insertion, can be negative. |
|  [sortText](#sorttext-property) | <code>string</code> | A string that should be used when comparing this item with other items. When <code>falsy</code> the <code>label</code> is used. |

### deleteBackwards property

Delete number of characters before the caret position, by default the letters from the beginning of the word.

<b>Signature</b>

```typescript
deleteBackwards?: number;
```

### detail property

A human-readable string with additional information about this item, like type or symbol information.

<b>Signature</b>

```typescript
detail?: string;
```

### documentation property

A human-readable string, can be Markdown, that represents a doc-comment.

<b>Signature</b>

```typescript
documentation?: string;
```

### filterText property

A string that should be used when filtering a set of completion items. When `falsy` the `label` is used.

<b>Signature</b>

```typescript
filterText?: string;
```

### insertText property

A string or snippet that should be inserted in a document when selecting this completion. When `falsy` the `label` is used.

<b>Signature</b>

```typescript
insertText?: string;
```

### kind property

The kind of this completion item. An icon is chosen by the editor based on the kind.

<b>Signature</b>

```typescript
kind?: CompletionItemKind | string;
```

### label property

The label of this completion item. By default this is also the text that is inserted when selecting this completion.

<b>Signature</b>

```typescript
label: string;
```

### move property

Number of steps to move after the insertion, can be negative.

<b>Signature</b>

```typescript
move?: number;
```

### sortText property

A string that should be used when comparing this item with other items. When `falsy` the `label` is used.

<b>Signature</b>

```typescript
sortText?: string;
```
